<?php

use Lean\Factory\HttpFactory;
use \Ulmus\User\Middleware\AuthorizeMiddleware;

use function DI\{get, autowire, create};

return [
    AuthorizeMiddleware::class => create(AuthorizeMiddleware::class)->constructor(get('authorize.error')),

    'authorize.error' => function($c) {
        return HttpFactory::createJsonResponse([
            'api.error' => "Authorization failed",
            'api.datetime' => ( new \DateTime )->format(\DateTime::ATOM),
        ]);
    },
];